antiprism-0.23
Up Next

# off2m - convert an OFF file for LiveGraphics3D

Usage | Examples | Notes

## Usage

    Usage: off2m [options] [input_file]

    Convert files in OFF format to 'm' format for display in LiveGraphics3D. If
    input_file is not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -v <size> vertex sphere size (default: 0.02 of bounding box diagonal)
      -e <size> frame model edge thickness size (default: 0.01 of bounding
                box diagonal if vertex sphere is 0, else vertex_rad/1.5)
      -x <elms> hide elements. The element string can include v, e and f
                to hide vertices, edges and faces
      -o <file> write output to file (default: write to standard output)

    Coloring Options (run 'off_util -H color' for help on color formats)
    Note: transparency (alpha) is ignored. color name "invisible" not allowed

      -V <col>  vertex color (default: 1.0,0.5,0.0)
      -E <col>  edge color (default: 0.8,0.6,0.8)
      -F <col>  face color (default: 0.8,0.8,0.9)
      -l        let LiveGraphics3D do the coloring itself

    Scene options
      -Y <view> specify the Live3D ViewPoint in form 'X,Y,Z'
      -B <col>  background color (default: 0.9,0.9,0.9)

    Precision options
      -d <dgts> number of significant digits (default 16) or if negative
                then the number of digits after the decimal point
      -t <type> display type for faces 0 - polygons, 1 - triangulate
                   polygons (default)

## Examples

Make a cube for display in LiveGraphics3D

    off_util cube | off2m > cube.m

Use LiveGraphics3D colouring. Don't display edges or vertices

    off_util cube | off2m -x ve -l > cube.m

Make a thickened red cube frame with green vertices

    off_util cube | off2m -x f -e 0.01 -E red -V green > cube.m

## Notes

The 'm' format output can be displayed in LiveGraphics3D .

off2m was written by Roger Kaufman.

Roger has put together an off2m testing package which can be downloaded and used to view the off2m output.

LiveGraphics3D is free for non-commercial use and can be downloaded from the LiveGraphics3D Site.

Up: Programs and Documentation
Next: off2crds - convert an OFF file to a coordinate file